# li-menu-flyout-item

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute   | Description                                                                | Type                                         | Default     |
| ----------- | ----------- | -------------------------------------------------------------------------- | -------------------------------------------- | ----------- |
| `active`    | `active`    | 标记为激活状态 {boolean}                                                   | `boolean \| undefined`                       | `false`     |
| `checkable` | `checkable` | 表示ITEM是否可以像可选框一样被多选或单选 {('checkbox' \| 'radio' \| null)} | `"checkbox" \| "radio" \| null \| undefined` | `undefined` |
| `checked`   | `checked`   | 表示选中状态：true时显示被选中的前缀 {boolean}                             | `boolean \| undefined`                       | `false`     |
| `disabled`  | `disabled`  | 是否禁用 {boolean}                                                         | `boolean \| undefined`                       | `false`     |
| `hasMenu`   | `has-menu`  | 设定为true时，显示icon箭头后缀 {boolean}                                   | `boolean \| undefined`                       | `false`     |
| `styles`    | `styles`    | 可选属性，注入的styles样式 {string}                                        | `string \| undefined`                        | `undefined` |
| `value`     | `value`     | 字符串类型的值 {string}                                                    | `string \| undefined`                        | `undefined` |

## Events

| Event       | Description                                                             | Type                                  |
| ----------- | ----------------------------------------------------------------------- | ------------------------------------- |
| `li-select` | 当菜单项被选中时触发li-select事件 {EventEmitter<{ item: HTMLElement }>} | `CustomEvent<{ item: HTMLElement; }>` |

## Methods

### `triggerEvent(eventType: 'keydown' | 'click', key?: 'Enter' | ' ' | 'ArrowRight' | null, closeOnSelect?: boolean) => Promise<void>`

---

## 8.应用Method()装饰器的公共方法

#### Returns

Type: `Promise<void>`

## Shadow Parts

| Part       | Description |
| ---------- | ----------- |
| `"base"`   |             |
| `"label"`  |             |
| `"prefix"` |             |
| `"suffix"` |             |

## Dependencies

### Used by

- [li-data-grid](../data-grid)

### Depends on

- [li-icon-action-success](../icons/action-success)
- [li-icon-navigation-right](../icons/navigation-right)

### Graph

```mermaid
graph TD;
  li-menu-flyout-item --> li-icon-action-success
  li-menu-flyout-item --> li-icon-navigation-right
  li-data-grid --> li-menu-flyout-item
  style li-menu-flyout-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with ITSI_
